%define name		sdlmess
%define version		0.124
%define release		1rx3
%define job_nb		8





#-----------------------------------------------------------------------------------------------------------------------------------
# Package
#-----------------------------------------------------------------------------------------------------------------------------------

Summary:	SDL-Mess Multiple Emulator Super System
Name:		%name
Version:	%version
Release:	%release

License:	MESS
URL:		http://rbelmont.mameworld.info/?page_id=163
Group:		Emulators
Distribution:	Rx3 Free Software
Vendor:		Rx3
Packager:	Arnaud G. Gibert <arnaud@rx3.net>

Source:		http://rbelmont.mameworld.info/%{name}-%{version}.tar.bz2
Source1:	%{name}-rc.tar.bz2

#Source10:	%{name}-catver-0.124a.ini.bz2
#Source11:	%{name}-cheat-0.123.dat.bz2
#Source12:	%{name}-history-1.23.dat.bz2
#Source13:	%{name}-mameinfo-0.123.dat.bz2

#Patch0:		sdlmame-0.112-genericbuild.patch
#Patch2:		sdlmame-0.113-ini.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires: SDL1.2-devel
BuildRequires: expat-devel
BuildRequires: zlib-devel
BuildRequires: libxinerama-devel
ExclusiveArch: %ix86 x86_64 ppc



%description
This is a simple SDL port of the almost legendary MESS. MESS is a free
emulator which emulates a large variety of different systems (computers
and home entertainment systems).

It uses SDL, and is based on MESS.





#-----------------------------------------------------------------------------------------------------------------------------------
# Prep
#-----------------------------------------------------------------------------------------------------------------------------------

%prep
#%{__rm} -rf %{buildroot}

%setup -q -n %{name}-%{version}
perl -pi -e "s|-Werror||g" makefile

#bzcat %{SOURCE10}	>catver.ini
#bzcat %{SOURCE11}	>cheat.dat
#bzcat %{SOURCE12}	>history.dat
#bzcat %{SOURCE13}	>mameinfo.dat





#-----------------------------------------------------------------------------------------------------------------------------------
# Build
#-----------------------------------------------------------------------------------------------------------------------------------

%build
#notes:
#optimizing for specific processor adds suffixes:
#example pentiumpro "pp" : I686=1
#compiling the debugger always adds (and only) suffix "d" : DEBUG=1
#DRC options are forced ion / off in the makefile depending on the arch :
#no need for X86_MIPS3_DRC= X86_PPC_DRC=
#SYMBOLS=1 for a -debug package
#%{__make} -f makefile.sdl -j%{job_nb} PREFIX="sdl" OPTIMIZE=1 BUILD_ZLIB= BUILD_EXPAT= OPT_FLAGS="-pipe -march=nocona -mfpmath=sse -msse3 -ffast-math"  INI_PATH=$HOME/.sdlmame;.;ini;/etc/sdlmame \

#%define my_c_flags	-march=generic
%define my_c_flags	-march=nocona -mfpmath=sse -msse3 -ffast-math

%{__make} -f makefile.sdl -j%{job_nb} PREFIX="sdl" OPTIMIZE=3 OPT_FLAGS="%{my_c_flags} -DINI_PATH=\\\"$HOME/.sdlmess\;.\;/etc/sdlmess\\\"" \
%ifarch x86_64 alpha ia64 ppc64
	PTR64=1
%endif
%ifarch ppc
	PPC=1
%endif
%ifarch %ix86
	I686=1
%endif





#-----------------------------------------------------------------------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------------------------------------------------------------------

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_gamesbindir}			\
	     %{buildroot}%{_sysconfdir}/%{name}			\
             %{buildroot}%{_gamesdatadir}/%{name}		\
	     %{buildroot}%{_gamesdatadir}/%{name}/fonts		\
	     %{buildroot}%{_gamesdatadir}/%{name}/keymaps	\
             %{buildroot}%{_gamesdatadir}/%{name}/{artworks,cfgs,comments,ctrlrs,diffs,inps,hashes,memcards,nvrams,roms,samples,snaps,stas,softwares}

#installing the binaries
%{__install} -m 0755 sdlmess	%{buildroot}%{_gamesbindir}/%{name}
%{__install} -m 0755 chdman	%{buildroot}%{_gamesbindir}/chdman-%{name}
%{__install} -m 0755 romcmp	%{buildroot}%{_gamesbindir}/romcmp-%{name}
%{__install} -m 0755 testkeys	%{buildroot}%{_gamesbindir}/testkeys-%{name}
#other tools : dat2html, messtest, messdocs, imgtool, jedutil, makemeta, regrep, srcclean

#installing ini file
tar xjvf %{SOURCE1} -C %{buildroot}%{_sysconfdir}

#installing font file
install -m 644 ui.bdf		%{buildroot}%{_gamesdatadir}/%{name}/fonts/ui.bdf

#installing keymap files
install -m 644 keymaps/*	%{buildroot}%{_gamesdatadir}/%{name}/keymaps

#installing the sdlmame files
#install -m 644 catver.ini	%{buildroot}%{_gamesdatadir}/%{name}/catver.ini
#install -m 644 cheat.dat	%{buildroot}%{_gamesdatadir}/%{name}/cheat.dat
#install -m 644 history.dat	%{buildroot}%{_gamesdatadir}/%{name}/history.dat
#install -m 644 mameinfo.dat	%{buildroot}%{_gamesdatadir}/%{name}/mameinfo.dat

#installing the free roms and samples
#tar xjvf %{SOURCE2} -C %{buildroot}%{_gamesdatadir}/%{name}
#tar xjvf %{SOURCE3} -C %{buildroot}%{_gamesdatadir}/%{name}
install -m 644 artwork/*	%{buildroot}%{_gamesdatadir}/%{name}/artworks/
install -m 644 hash/*		%{buildroot}%{_gamesdatadir}/%{name}/hashes/





#-----------------------------------------------------------------------------------------------------------------------------------
# Clean
#-----------------------------------------------------------------------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}





#-----------------------------------------------------------------------------------------------------------------------------------
# Files
#-----------------------------------------------------------------------------------------------------------------------------------

%files
%defattr(-,root,root)

%attr(0755,root,games) %{_gamesbindir}/%{name}*
%attr(0755,root,games) %{_gamesbindir}/*-%{name}

%config(noreplace)  %{_sysconfdir}/%{name}/*

#%{_gamesdatadir}/%{name}
#%attr(644,root,games) %{_gamesdatadir}/%{name}

%doc SDLMESS.txt whatsnew.txt docs/*
#{_mandir}/man1/%{name}.1*

%attr(655,root,games) %dir %{_gamesdatadir}/%{name}
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/artworks
%attr(644,root,games) %{_gamesdatadir}/%{name}/artworks/*
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/cfgs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/comments
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/ctrlrs
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/diffs
%attr(644,root,games) %dir %{_gamesdatadir}/%{name}/fonts/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/inps
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/hashes
%attr(644,root,games) %{_gamesdatadir}/%{name}/hashes/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/keymaps
%attr(644,root,games) %{_gamesdatadir}/%{name}/keymaps/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/memcards
%attr(777,root,games) %dir %{_gamesdatadir}/%{name}/nvrams
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/roms
#%attr(644,root,games) %{_gamesdatadir}/%{name}/roms/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/samples
#%attr(644,root,games) %{_gamesdatadir}/%{name}/samples/*
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/snaps
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/stas
%attr(645,root,games) %dir %{_gamesdatadir}/%{name}/softwares

#%attr(644,root,games) %{_gamesdatadir}/%{name}/catver.ini
#%attr(644,root,games) %{_gamesdatadir}/%{name}/cheat.dat
#%attr(644,root,games) %{_gamesdatadir}/%{name}/history.dat
#%attr(644,root,games) %{_gamesdatadir}/%{name}/mameinfo.dat

#%attr(644,root,root) %{_liconsdir}/%{name}.png
#%attr(644,root,root) %{_miconsdir}/%{name}.png
#%attr(644,root,root) %{_iconsdir}/%{name}.png





#-----------------------------------------------------------------------------------------------------------------------------------
# ChangeLog
#-----------------------------------------------------------------------------------------------------------------------------------

%changelog
* Sun Apr  6 2008 Arnaud G. Gibert <arnaud@rx3.net> 0.124-1rx3
- Initial specfile creation from my sdlmame, xmess and plf specfiles.
